org.apache.cassandra.cql3.statements

## Class CFPropDefs

- java.lang.Object
- - org.apache.cassandra.cql3.statements.PropertyDefinitions
  - - org.apache.cassandra.cql3.statements.CFPropDefs

    public class CFPropDefs
    extends PropertyDefinitions

### Field Summary

Fields
`static java.lang.String` `COMPACTION_STRATEGY_CLASS_KEY`
`static java.util.Set<java.lang.String>` `keywords`
`static java.lang.String` `KW_BF_FP_CHANCE`
`static java.lang.String` `KW_CACHING`
`static java.lang.String` `KW_COMMENT`
`static java.lang.String` `KW_COMPACTION`
`static java.lang.String` `KW_COMPRESSION`
`static java.lang.String` `KW_DCLOCALREADREPAIRCHANCE`
`static java.lang.String` `KW_DEFAULT_TIME_TO_LIVE`
`static java.lang.String` `KW_GCGRACESECONDS`
`static java.lang.String` `KW_ID`
`static java.lang.String` `KW_MAX_INDEX_INTERVAL`
`static java.lang.String` `KW_MAXCOMPACTIONTHRESHOLD`
`static java.lang.String` `KW_MEMTABLE_FLUSH_PERIOD`
`static java.lang.String` `KW_MIN_INDEX_INTERVAL`
`static java.lang.String` `KW_MINCOMPACTIONTHRESHOLD`
`static java.lang.String` `KW_READREPAIRCHANCE`
`static java.lang.String` `KW_SPECULATIVE_RETRY`
`static java.util.Set<java.lang.String>` `obsoleteKeywords`

### Fields inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

`logger, properties`

### Constructor Summary

Constructors
Constructor and Description
`CFPropDefs()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyToCFMetadata(CFMetaData cfm)`
`CachingOptions` `getCachingOptions()`
`java.util.Map<java.lang.String,java.lang.String>` `getCompactionOptions()`
`java.lang.Class<? extends AbstractCompactionStrategy>` `getCompactionStrategy()`
`java.util.Map<java.lang.String,java.lang.String>` `getCompressionOptions()`
`java.lang.Integer` `getDefaultTimeToLive()`
`java.util.UUID` `getId()`
`java.lang.String` `toString()`
`void` `validate()`

### Methods inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

`addProperty, addProperty, getBoolean, getDouble, getInt, getMap, getSimple, getString, hasProperty, toInt, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KW_COMMENT

    public static final java.lang.String KW_COMMENT

See Also:
  Constant Field Values

#### KW_READREPAIRCHANCE

    public static final java.lang.String KW_READREPAIRCHANCE

See Also:
  Constant Field Values

#### KW_DCLOCALREADREPAIRCHANCE

    public static final java.lang.String KW_DCLOCALREADREPAIRCHANCE

See Also:
  Constant Field Values

#### KW_GCGRACESECONDS

    public static final java.lang.String KW_GCGRACESECONDS

See Also:
  Constant Field Values

#### KW_MINCOMPACTIONTHRESHOLD

    public static final java.lang.String KW_MINCOMPACTIONTHRESHOLD

See Also:
  Constant Field Values

#### KW_MAXCOMPACTIONTHRESHOLD

    public static final java.lang.String KW_MAXCOMPACTIONTHRESHOLD

See Also:
  Constant Field Values

#### KW_CACHING

    public static final java.lang.String KW_CACHING

See Also:
  Constant Field Values

#### KW_DEFAULT_TIME_TO_LIVE

    public static final java.lang.String KW_DEFAULT_TIME_TO_LIVE

See Also:
  Constant Field Values

#### KW_MIN_INDEX_INTERVAL

    public static final java.lang.String KW_MIN_INDEX_INTERVAL

See Also:
  Constant Field Values

#### KW_MAX_INDEX_INTERVAL

    public static final java.lang.String KW_MAX_INDEX_INTERVAL

See Also:
  Constant Field Values

#### KW_SPECULATIVE_RETRY

    public static final java.lang.String KW_SPECULATIVE_RETRY

See Also:
  Constant Field Values

#### KW_BF_FP_CHANCE

    public static final java.lang.String KW_BF_FP_CHANCE

See Also:
  Constant Field Values

#### KW_MEMTABLE_FLUSH_PERIOD

    public static final java.lang.String KW_MEMTABLE_FLUSH_PERIOD

See Also:
  Constant Field Values

#### KW_COMPACTION

    public static final java.lang.String KW_COMPACTION

See Also:
  Constant Field Values

#### KW_COMPRESSION

    public static final java.lang.String KW_COMPRESSION

See Also:
  Constant Field Values

#### KW_ID

    public static final java.lang.String KW_ID

See Also:
  Constant Field Values

#### COMPACTION_STRATEGY_CLASS_KEY

    public static final java.lang.String COMPACTION_STRATEGY_CLASS_KEY

See Also:
  Constant Field Values

#### keywords

    public static final java.util.Set<java.lang.String> keywords

#### obsoleteKeywords

    public static final java.util.Set<java.lang.String> obsoleteKeywords

### Constructor Detail

#### CFPropDefs

    public CFPropDefs()

### Method Detail

#### validate

    public void validate()
                  throws ConfigurationException,
                         SyntaxException

Throws:
  `ConfigurationException`
  `SyntaxException`

#### getCompactionStrategy

    public java.lang.Class<? extends AbstractCompactionStrategy> getCompactionStrategy()

#### getCompactionOptions

    public java.util.Map<java.lang.String,java.lang.String> getCompactionOptions()
                                                                          throws SyntaxException

Throws:
  `SyntaxException`

#### getCompressionOptions

    public java.util.Map<java.lang.String,java.lang.String> getCompressionOptions()
                                                                           throws SyntaxException

Throws:
  `SyntaxException`

#### getCachingOptions

    public CachingOptions getCachingOptions()
                                     throws SyntaxException,
                                            ConfigurationException

Throws:
  `SyntaxException`
  `ConfigurationException`

#### getDefaultTimeToLive

    public java.lang.Integer getDefaultTimeToLive()
                                           throws SyntaxException

Throws:
  `SyntaxException`

#### getId

    public java.util.UUID getId()
                         throws SyntaxException

Throws:
  `SyntaxException`

#### applyToCFMetadata

    public void applyToCFMetadata(CFMetaData cfm)
                           throws ConfigurationException,
                                  SyntaxException

Throws:
  `ConfigurationException`
  `SyntaxException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`